{{- if .Values.backup.enabled }}
apiVersion: batch/v1
kind: CronJob
metadata:
  name: {{ include "postgres.fullname" . }}-backup
spec:
  schedule: "0 1 * * *" # backup every day at 1AM
  jobTemplate:
    spec:
      template:
        spec:
          {{- if .Values.securityContext }}
          securityContext:
            runAsUser: {{ .Values.securityContext.runAsUser }}
            runAsGroup: {{ .Values.securityContext.runAsGroup }}
          {{- end }}
          containers:
            - name: {{ include "postgres.fullname" . }}-backup
              image: {{ .Values.image.repository }}:{{ .Values.image.tag | default .Chart.AppVersion }}
              env:
              - name: PGHOST
                value: {{ include "postgres.fullname" . }}
              - name: PGDATABASE
                value: {{ .Values.config.db_name }}
              - name: PGUSER
                value: {{ .Values.secrets.db_user }}
              - name: PGPASSWORD
                value: {{ .Values.secrets.db_password }}
              {{- if .Values.storage.enabled }}
              volumeMounts:
                - mountPath: /data
                  name: nfs-volume
              {{- end }}
              command:
              - /bin/sh
              - -c
              - mkdir -p /data/pgdump && pg_dump > /data/pgdump/backup-$(date +"%Y-%m-%d-%H-%M").sql
          {{- if .Values.storage.enabled }}
          volumes:
            - name: nfs-volume
              nfs: 
                server: {{ .Values.storage.server }}
                path: {{ .Values.storage.path }}
          {{- end }} 
          restartPolicy: Never
{{ end }}
